=== debian/control ===
Source: ros-galactic-mcap-vendor
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), git, ros-galactic-ament-cmake, ros-galactic-zstd-vendor, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-mcap-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-zstd-vendor, ros-galactic-ros-workspace
Description: mcap vendor package
